Subject: [urn] Comments on PWID -05 - now PWID -06

From: Eld Zierau <[email-masked]>
Date: Fri, 1 Mar 2019 12:28:45 +0000

I have now uploade a new version: draft-pwid-urn-specification-06
 - and thanks again for comments and suggestions

Regarding the suggestion from Martin (included below), I can as a computer scientist certainly see the reasoning as quite obvious. However, my experience with presentation of the PWID is that syntax based on computational reasoning is something that users find illogically, e.g. that the archived-item-id (usually URI) is included in the end of the PWID. I believe that adding a "~" for identifiers that are registered separately is acceptable for such users, but I am also convinced that a "+" before a domain will be something that confuses (non-computer science) users a lot. 
Also, as said in my previous mail, it is highly unlikely that there will ever be a case where "~" is the first character in a domain for a web archive. Therefore, it seems that it should not be necessary. 
A minor extra thing is that all existing PWIDs (and tools providing and resolving PWIDs) would not comply, which they would otherwise (none of these use registered identifiers yet only domains and URIs).
In other words: I will be very sorry to add a "+" to domains, and I believe it is not necessary.

The uploaded version  does not include a "+" to domains, - If required, I will of course add it (although sorry to do so)

Please let me know if it acceptable, and I will act accordingly.

Best regards, Eld 

On 2019/03/01 11:31, Dale R. Worley wrote:
> Martin J. Duerst <[email-masked]> writes:
>>> [...]  E.g., one could require that any archive-id that is not 
>>> intended to be interpreted as a DNS name to start with one of "-", 
>>> ".", "_", "~".
>>
>> I haven't looked into the details, but in general, I think this is a 
>> bad idea. It is much better to have an explicit distinction than to 
>> rely on some syntax restrictions. Such syntax restrictions may or may 
>> not actually hold in practice. It's very easy to create a DNS name 
>> starting with '-' or '_', for example, even though officially, that's not allowed.
> 
> I may agree with you ... But what do you mean by "an explicit 
> distinction"?  E.g., I would tend to consider "archive-ids starting 
> with '~' are registered archive names, and archive-ids that do not are 
> considered DNS names" to be an "explicit" distinction, but you mean 
> something else.

Well, the explicit distinction would be "if it starts with '~', what follows is a registered archive name, and if it starts with '+', what follows is a DNS name" or some such. This would not exclude any leading characters in either archive names or DNS names.

Regards,   Martin.

> Or maybe the right question is, What do you propose as an alternative?